function o(n, d) {
  if (typeof window < "u") {
    const e = document.querySelector("style[data-theme-style]");
    if (e)
      e.setAttribute("data-theme-style", n), e.textContent = d;
    else {
      const t = document.createElement("style");
      t.setAttribute("data-theme-style", n), t.textContent = d, document.head.appendChild(t);
    }
  }
}
export {
  o as injectThemeStyles
};
